# Contributing to Pulsator

Thank you for considering contributing to this open-source project! We welcome your contributions to make this library even better. Whether you want to report a bug, suggest an enhancement, or submit code changes, this guide will help you get started.

Please note that this project follows a Code of Conduct (see [CODE_OF_CONDUCT.md](CODE_OF_CONDUCT.md)). By participating, you are expected to uphold this code.

## Ways to Contribute

You can contribute to this project in several ways:

1. Reporting Issues:
   - If you encounter a bug or have a feature request, please open an issue on the GitHub repository. Make sure to provide a clear and detailed description of the problem or feature request.

2. Code Contributions:
   - Fork the repository and make your changes in a feature branch.
   - Ensure your code follows the project's coding standards.
   - Write tests to cover your changes.
   - Submit a pull request with a clear description of your changes.

3. Documentation:
   - Help improve the project's documentation by correcting typos, enhancing explanations, or adding missing details.

4. Review Pull Requests:
   - Review open pull requests, provide feedback, and help ensure code quality.

## Getting Started

1. **Fork** the project repository to your GitHub account.

2. **Clone** your fork to your local development environment:

   ```bash
   git clone https://github.com/booncol/pulsator.git
   ```
3. **Create a branch** for your contribution:

   ```bash
   git checkout -b feature/my-feature
   ```
4. **Make your changes** and commit them:

   ```bash
   git add .
   git commit -m "Add new feature"
   ```
5. **Push** your changes to your GitHub repository:

   ```bash
   git push origin feature/my-feature
   ```
6. Open a **pull request** on the main repository for review.

## Code of Conduct

This project has adopted a Code of Conduct that we expect project participants to adhere to. Please see [CODE_OF_CONDUCT.md](https://github.com/booncol/pulsator/blob/main/CODE_OF_CONDUCT.md) for details.

## License

By contributing to this project, you agree that your contributions will be licensed under the MIT License. See the [LICENSE](https://github.com/booncol/pulsator/blob/main/LICENSE) for details.

## Contact

If you have questions or need assistance, feel free to contact me.

Happy coding!
